Package org.apache.batchee.jaxb

## Class End

- java.lang.Object
- - org.apache.batchee.jaxb.End

- All Implemented Interfaces:
    `TransitionElement`

      public class End
      extends Object
      implements TransitionElement

  Java class for End complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="End">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attGroup ref="{http://xmlns.jcp.org/xml/ns/javaee}TerminatingAttributes"/>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `exitStatus` |
    `protected String` | `on` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `End()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getExitStatus()` | Gets the value of the exitStatus property.
    `String` | `getOn()` | Gets the value of the on property.
    `void` | `setExitStatus​(String value)` | Sets the value of the exitStatus property.
    `void` | `setOn​(String value)` | Sets the value of the on property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### on

          protected String on

    - #### exitStatus

          protected String exitStatus

  - ### Constructor Detail

    - #### End

          public End()

  - ### Method Detail

    - #### getOn

          public String getOn()

      Gets the value of the on property.
      Specified by:
        `getOn` in interface `TransitionElement`
      Returns:
        possible object is `String`

    - #### setOn

          public void setOn​(String value)

      Sets the value of the on property.
      Specified by:
        `setOn` in interface `TransitionElement`
      Parameters:
        `value` - allowed object is `String`

    - #### getExitStatus

          public String getExitStatus()

      Gets the value of the exitStatus property.
      Returns:
        possible object is `String`

    - #### setExitStatus

          public void setExitStatus​(String value)

      Sets the value of the exitStatus property.
      Parameters:
        `value` - allowed object is `String`